Cacti Plugin Instalation problem

Support for the Plugin Architecture

Moderators: Moderators, Developers

Post Reply
Author
Message
evertonxvieira
Posts: 3
Joined: Fri Sep 19, 2008 11:33 am

Cacti Plugin Instalation problem

#1 Post by evertonxvieira » Fri Nov 27, 2009 8:03 am

Hello,

I'm usind a debian lenny server with cacti instalation via APT-GET.

My cacti version is 0.8.7b.

I've downloaded the cacti plugin arch 0.8.7e

After unzip the file, I overwrited my original cacti files with the files from the plugin like the manual says (include and lib)

Bu when i Try to login on my cacti web site, it's displayed a blank page with this php error:

Fatal error: Call to undefined function api_plugin_hook() in /usr/share/cacti/site/auth_login.php on line 269

How can i solve this?

User avatar
Howie
Cacti Guru User
Posts: 5348
Joined: Thu Sep 16, 2004 5:53 am
Location: United Kingdom
Contact:

#2 Post by Howie » Fri Nov 27, 2009 9:44 am

The plugin archtecture is specific for cacti versions. You can't use the 0.8.7e PA with 0.8.7b. You also can't (officially) get old versions of the PA, so you should upgrade to the current Cacti version.

You will get a year or more of bug fixes and improvments going from b to e too.
Weathermap 0.98 is out! & QuickTree 1.0. Superlinks is over there now (and built-in to Cacti 1.x).
Some Other Cacti tweaks, including strip-graphs, icons and snmp/netflow stuff.
(Let me know if you have UK DevOps or Network Ops opportunities, too!)

Post Reply